Skip to main content

Practitioner Resource

The FHIR Practitioner resource is used to represent clinicians and other healthcare professionals who participate in the delivery of healthcare services. Within AdvaPACS, Practitioner resources may represent clinicians such as referring physicians, performing clinicians, or technologists associated with orders and studies.

Practitioner resources may be referenced by other FHIR resources, including ServiceRequest, to identify the clinicians involved in requesting or performing a procedure. For full information on the Practitioner resource, please refer to the FHIR standard.

Supported Transactions

AdvaPACS supports the following transactions for the Practitioner resource:

FunctionMethodEndpointDescription
Get PractitionerGET/Practitioner/{id}Retrieves a specific Practitioner resource by its logical ID.
Search PractitionersGET/PractitionerSearches for Practitioner resources using one or more supported search parameters.
Create PractitionerPOST/PractitionerCreates a new Practitioner resource.
Update PractitionerPUT/Practitioner/{id}Updates an existing Practitioner resource.

Supported Fields

The following example shows the fields supported by AdvaPACS for a Practitioner resource:

{
"resourceType": "Practitioner",
"identifier": [
{
"value": "ABCDEFG"
}
],
"name": [
{
"use": "official",
"family": "Scratch",
"given": ["Sophie"]
}
],
"telecom": [
{
"system": "phone",
"value": "555-555-1029",
"use": "work",
"rank": 1
}
],
"address": [
{
"use": "home",
"line": ["1027 Healthcare Drive"]
}
],
"birthDate": "1996-08-08",
"gender": "female"
}

Examples

The following examples show how Practitioner resources can be retrieved and searched using the AdvaPACS FHIR API. These examples demonstrate how practitioner information, such as identifiers and names, is represented within FHIR and can be used to identify healthcare professionals involved in imaging workflows.

Get a Practitioner

A specific Practitioner can be retrieved using the logical ID assigned to the resource. The response contains information about the clinician represented by the Practitioner, including their identifier and name.

GET /fhir/R5/Practitioner/[Practitioner_ID]
Authorization: ID=<ApiId>,Secret=<ApiSecret>
Accept: application/fhir+json
Host: <FhirEndpoint>

For example, to retrieve a Practitioner with logical ID 6e6a1f7d-73e1-4fb1-b8b8-bd3da26d0672:

GET /fhir/R5/Practitioner/6e6a1f7d-73e1-4fb1-b8b8-bd3da26d0672
Authorization: ID=<ApiId>,Secret=<ApiSecret>
Accept: application/fhir+json
Host: <FhirEndpoint>

A successful request returns the requested Practitioner resource:

{
"resourceType": "Practitioner",
"id": "6e6a1f7d-73e1-4fb1-b8b8-bd3da26d0672",
"identifier": [
{
"value": "1234ABC"
}
],
"name": [
{
"family": "Herb",
"given": [
"Phil"
],
"prefix": [
"Dr"
]
}
]
}

Search Practitioners

Practitioner resources can be searched using supported FHIR search parameters. Searches may be used to locate a clinician when their logical resource ID is not already known.

The following search parameters are supported:

ParameterDescriptionExample
_idSearch by the logical FHIR resource ID.?_id=6e6a1f7d-73e1-4fb1-b8b8-bd3da26d0672
identifierSearch by an identifier assigned to the practitioner.?identifier=1234ABC
nameSearch by the practitioner's name.?name=Herb

For example, to search for a Practitioner using the identifier 1234ABC:

GET /fhir/R5/Practitioner?identifier=1234ABC
Authorization: ID=<ApiId>,Secret=<ApiSecret>
Accept: application/fhir+json
Host: <FhirEndpoint>

A successful search returns a FHIR Bundle containing the Practitioner resources that match the supplied criteria.

Create a Practitioner

A new Practitioner can be created by submitting a Practitioner resource to the Practitioner endpoint.

POST /fhir/R5/Practitioner
Authorization: ID=<ApiId>,Secret=<ApiSecret>
Content-Type: application/fhir+json
Accept: application/fhir+json
Host: <FhirEndpoint>

For example:

{
"resourceType": "Practitioner",
"identifier": [
{
"value": "1234ABC"
}
],
"name": [
{
"family": "Herb",
"given": [
"Phil"
],
"prefix": [
"Dr"
]
}
]
}

When the Practitioner is successfully created, AdvaPACS assigns a logical FHIR resource ID to the Practitioner.

Update a Practitioner

An existing Practitioner can be updated by submitting the updated Practitioner resource to its logical resource ID.

PUT /fhir/R5/Practitioner/[Practitioner_ID]
Authorization: ID=<ApiId>,Secret=<ApiSecret>
Content-Type: application/fhir+json
Accept: application/fhir+json
Host: <FhirEndpoint>

For example:


{
"resourceType": "Practitioner",
"id": "6e6a1f7d-73e1-4fb1-b8b8-bd3da26d0672",
"identifier": [
{
"value": "1234ABC"
}
],
"name": [
{
"family": "Herb",
"given": [
"Philip"
],
"prefix": [
"Dr"
]
}
]
}

The resource id in the request body should match the Practitioner ID specified in the request URL.